<ng-container *ngIf="items && items.length > 0; else noResult">
  <app-pagination-info [id]="'mel-pager'">
    <app-pagination [id]="'mel-pager'" (pageChange)="onPageChange($event)"></app-pagination>
  </app-pagination-info>
  <div class="items">
    <ng-container *ngFor="let item of items | paginate: paginationConfig; trackBy: trackByFn">
      <ng-container *ngTemplateOutlet="itemTemplate; context:{$implicit: item}"></ng-container>
    </ng-container>
  </div>
  <app-pagination [id]="'mel-pager'" (pageChange)="onPageChange($event)"></app-pagination>
</ng-container>
<ng-template #noResult>
  <ng-container *ngTemplateOutlet="emptyTemplate"></ng-container>
</ng-template>
